Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getTrafficAnalysis({
networkId: "string",
});
export const merakiNetworksTrafficAnalysisExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_traffic_analysis(network_id="string")
pulumi.export("merakiNetworksTrafficAnalysisExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupTrafficAnalysis(ctx, &networks.LookupTrafficAnalysisArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksTrafficAnalysisExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetTrafficAnalysis.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksTrafficAnalysisExample"] = example.Apply(getTrafficAnalysisResult => getTrafficAnalysisResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetTrafficAnalysisArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getTrafficAnalysis(GetTrafficAnalysisArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksTrafficAnalysisExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getTrafficAnalysis
arguments:
networkId: string
outputs:
merakiNetworksTrafficAnalysisExample: ${example.item}
Using getTrafficAnalysis
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getTrafficAnalysis(args: GetTrafficAnalysisArgs, opts?: InvokeOptions): Promise<GetTrafficAnalysisResult>
function getTrafficAnalysisOutput(args: GetTrafficAnalysisOutputArgs, opts?: InvokeOptions): Output<GetTrafficAnalysisResult>def get_traffic_analysis(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetTrafficAnalysisResult
def get_traffic_analysis_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetTrafficAnalysisResult]func LookupTrafficAnalysis(ctx *Context, args *LookupTrafficAnalysisArgs, opts ...InvokeOption) (*LookupTrafficAnalysisResult, error)
func LookupTrafficAnalysisOutput(ctx *Context, args *LookupTrafficAnalysisOutputArgs, opts ...InvokeOption) LookupTrafficAnalysisResultOutput> Note: This function is named LookupTrafficAnalysis in the Go SDK.
public static class GetTrafficAnalysis
{
public static Task<GetTrafficAnalysisResult> InvokeAsync(GetTrafficAnalysisArgs args, InvokeOptions? opts = null)
public static Output<GetTrafficAnalysisResult> Invoke(GetTrafficAnalysisInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetTrafficAnalysisResult> getTrafficAnalysis(GetTrafficAnalysisArgs args, InvokeOptions options)
public static Output<GetTrafficAnalysisResult> getTrafficAnalysis(GetTrafficAnalysisArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getTrafficAnalysis:getTrafficAnalysis
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getTrafficAnalysis Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Traffic Analysis Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Traffic Analysis Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Traffic Analysis Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Traffic Analysis Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Traffic Analysis Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetTrafficAnalysisItem
- Custom
Pie List<GetChart Items Traffic Analysis Item Custom Pie Chart Item> - The list of items that make up the custom pie chart for traffic reporting.
- Mode string
- The traffic analysis mode for the network. Can be one of 'disabled' (do not collect traffic types), 'basic' (collect generic traffic categories), or 'detailed' (collect destination hostnames).
- Custom
Pie []GetChart Items Traffic Analysis Item Custom Pie Chart Item - The list of items that make up the custom pie chart for traffic reporting.
- Mode string
- The traffic analysis mode for the network. Can be one of 'disabled' (do not collect traffic types), 'basic' (collect generic traffic categories), or 'detailed' (collect destination hostnames).
- custom
Pie List<GetChart Items Traffic Analysis Item Custom Pie Chart Item> - The list of items that make up the custom pie chart for traffic reporting.
- mode String
- The traffic analysis mode for the network. Can be one of 'disabled' (do not collect traffic types), 'basic' (collect generic traffic categories), or 'detailed' (collect destination hostnames).
- custom
Pie GetChart Items Traffic Analysis Item Custom Pie Chart Item[] - The list of items that make up the custom pie chart for traffic reporting.
- mode string
- The traffic analysis mode for the network. Can be one of 'disabled' (do not collect traffic types), 'basic' (collect generic traffic categories), or 'detailed' (collect destination hostnames).
- custom_
pie_ Sequence[Getchart_ items Traffic Analysis Item Custom Pie Chart Item] - The list of items that make up the custom pie chart for traffic reporting.
- mode str
- The traffic analysis mode for the network. Can be one of 'disabled' (do not collect traffic types), 'basic' (collect generic traffic categories), or 'detailed' (collect destination hostnames).
- custom
Pie List<Property Map>Chart Items - The list of items that make up the custom pie chart for traffic reporting.
- mode String
- The traffic analysis mode for the network. Can be one of 'disabled' (do not collect traffic types), 'basic' (collect generic traffic categories), or 'detailed' (collect destination hostnames).
GetTrafficAnalysisItemCustomPieChartItem
- Name string
- The name of the custom pie chart item.
- Type string
- The signature type for the custom pie chart item. Can be one of 'host', 'port' or 'ipRange'.
- Value string
- The value of the custom pie chart item. Valid syntax depends on the signature type of the chart item (see sample request/response for more details).
- Name string
- The name of the custom pie chart item.
- Type string
- The signature type for the custom pie chart item. Can be one of 'host', 'port' or 'ipRange'.
- Value string
- The value of the custom pie chart item. Valid syntax depends on the signature type of the chart item (see sample request/response for more details).
- name String
- The name of the custom pie chart item.
- type String
- The signature type for the custom pie chart item. Can be one of 'host', 'port' or 'ipRange'.
- value String
- The value of the custom pie chart item. Valid syntax depends on the signature type of the chart item (see sample request/response for more details).
- name string
- The name of the custom pie chart item.
- type string
- The signature type for the custom pie chart item. Can be one of 'host', 'port' or 'ipRange'.
- value string
- The value of the custom pie chart item. Valid syntax depends on the signature type of the chart item (see sample request/response for more details).
- name str
- The name of the custom pie chart item.
- type str
- The signature type for the custom pie chart item. Can be one of 'host', 'port' or 'ipRange'.
- value str
- The value of the custom pie chart item. Valid syntax depends on the signature type of the chart item (see sample request/response for more details).
- name String
- The name of the custom pie chart item.
- type String
- The signature type for the custom pie chart item. Can be one of 'host', 'port' or 'ipRange'.
- value String
- The value of the custom pie chart item. Valid syntax depends on the signature type of the chart item (see sample request/response for more details).
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
